Loading...
Searching...
No Matches
iterator.h File Reference
`#include <BALL/CONCEPT/bidirectionalIterator.h>`
`#include <BALL/CONCEPT/composite.h>`

Go to the source code of this file.

## Classes

class | BALL::CompositeIteratorTraits

## Namespaces

namespace | BALL

## Macros

#define | BALL_KERNEL_DEFINE_ITERATOR_CREATORS(Type)

## Macro Definition Documentation

## BALL_KERNEL_DEFINE_ITERATOR_CREATORS

#define BALL_KERNEL_DEFINE_ITERATOR_CREATORS | ( |  | Type | ) |

A macro defining kernel iterators. This macro allows th definition of arbitrary bidirectional iterators for kernel container classes. Multiple iterator definition macros can be included at the same time, thus enabling the iteration over different types of kernel objects. Each macro defines beginX()/endX() (const and mutable) and rendX()/rbeginX() where X is the type of item to iterate over.

Definition at line 25 of file iterator.h.